<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: jpeg_marker_struct Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structjpeg__marker__struct-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">jpeg_marker_struct Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a1cb619806ea91b42a46b2a04fafabd82"><td class="memItemLeft" align="right" valign="top"><a id="a1cb619806ea91b42a46b2a04fafabd82"></a>
jpeg_saved_marker_ptr&#160;</td><td class="memItemRight" valign="bottom"><b>next</b></td></tr>
<tr class="separator:a1cb619806ea91b42a46b2a04fafabd82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58a97fcf25e03c2eda397d5909933c26"><td class="memItemLeft" align="right" valign="top"><a id="a58a97fcf25e03c2eda397d5909933c26"></a>
unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>marker</b></td></tr>
<tr class="separator:a58a97fcf25e03c2eda397d5909933c26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b17d58a17fa6be8560b697da814dfd3"><td class="memItemLeft" align="right" valign="top"><a id="a3b17d58a17fa6be8560b697da814dfd3"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>original_length</b></td></tr>
<tr class="separator:a3b17d58a17fa6be8560b697da814dfd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98412e9bccde6954ce55f611ad146a6b"><td class="memItemLeft" align="right" valign="top"><a id="a98412e9bccde6954ce55f611ad146a6b"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>data_length</b></td></tr>
<tr class="separator:a98412e9bccde6954ce55f611ad146a6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8d0d5b3294a6ac3629640d4164a1ea6"><td class="memItemLeft" align="right" valign="top"><a id="ac8d0d5b3294a6ac3629640d4164a1ea6"></a>
JOCTET FAR *&#160;</td><td class="memItemRight" valign="bottom"><b>data</b></td></tr>
<tr class="separator:ac8d0d5b3294a6ac3629640d4164a1ea6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="jpeglib_8h_source.html">jpeglib.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
